SDL_SetSurfaceAlphaMod(3)

NAME
SDL_SetSurfaceAlphaMod - Set an additional alpha value used in blit operations.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_SetSurfaceAlphaMod(SDL_Surface *surface, Uint8 alpha);

DESCRIPTION
When this surface is blitted, during the blit operation the source alpha value is modulated by this alpha value according to the following formula:

srcA = srcA * (alpha / 255)

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to update.

alpha
    the alpha value multiplied into blit operations.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetSurfaceAlphaMod(3), SDL_SetSurfaceColorMod(3)